<template>
  <a
    href="#"
    class="link appCart">
    <div class="appCart-icon">
      <img
        v-if="isIndex"
        svg-inline
        src="~/assets/svg/redesign/basket-home.svg">
      <img
        v-else
        svg-inline
        src="~/assets/svg/redesign/basket-full.svg">
      <span
        v-if="cart.count > 0"
        class="appCart-counter">
        {{ cart.count | spacifyNumber }}
      </span>
    </div>
    <span class="appCart-amount">
      <span class="appCart-amount-label">Корзина</span>
      {{ cart.amount | spacifyNumber }}&nbsp;₽
    </span>
  </a>
</template>

<script>
export default {
  name: 'AppCart',
  props: {
    cart: {
      type: Object,
      default() { return {}; },
    },
    isIndex: {
      type: Boolean,
      default: false,
    },
  },
};
</script>

<style lang="postcss">
  .appCart {
    display: inline-flex;
    align-items: center;
    padding: 0;
    margin: 0;

    background: none;
    border: none;
    box-shadow: none;
    outline: none;
    cursor: pointer;

    .svgBasket {
      fill: var(--btn-basket-fill);
    }

    .svgBasketHome {
      fill: transparent;
    }

    &:hover {
      .svgBasket {
        fill: var(--btn-basket-fill-hover);
      }
    }

    &:active, &:focus {
      .svgBasket {
        fill: var(--btn-basket-fill-active);
      }
    }


    .appCart-icon {
      position: relative;
      display: inline-flex;
      padding-right: 1.5rem;
    }

    .appCart-counter {
      position: absolute;
      left: 0.75rem;
      bottom: -0.375rem;
      display: flex;
      justify-content: center;
      align-items: center;
      padding: 0 0.25rem;
      min-width: 0.875rem;
      height: 0.875rem;

      font-size: 0.625rem;
      font-weight: var(--font-weight-bold);
      line-height: 1;
      color: var(--link-color);
      white-space: nowrap;

      border-radius: 0.5rem;
      background-color: var(--bg-lighten);
      box-shadow: 0 1px 2px rgba(11, 46, 87, 0.23);
    }

    .appCart-amount {
      display: inline-block;
      font-size: 0.75rem;
      font-weight: var(--font-weight-regular);
      color: var(--color-main);
      white-space: nowrap;
    }

    .appCart-amount-label {
      display: none;
      font-size: 1.375rem;
      color: var(--color-main);
    }

    @media screen and (max-width: 980px) {
      .appCart-icon {
        & > .svg {
          width: auto;
          height: 2.5rem;
        }
      }

      .appCart-counter {
        left: 1.625rem;
        top: 1.25rem;
        width: 3.625rem;
        height: 2.25rem;
        font-size: 1.125rem;
        font-weight: var(--font-weight-medium);
        border-radius: 2.5rem;
      }

      .appCart-amount {
        font-size: 18px;
        margin-left: 44px;
        color: #767676;
      }

      .appCart-amount-label {
        display: block;
      }
    }
  }
</style>
